ランタイム: Mix::Graphics::Utility Namespace Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Enumerations | Functions
Mix::Graphics::Utility Namespace Reference

グラフィックス ( ユーティリティ ) More...

## Classes

class | ICanvasRenderer
| キャンバスレンダラーインターフェース More...
class | IFont
| フォントインターフェース More...
class | IPerspectiveRenderer
| パースペクティブレンダラーインターフェース More...
class | ITargetTextureChain
| ターゲットテクスチャチェインインターフェース More...

## Enumerations

enum | STRING_FLAGS { SF_HCENTER = 0x00000001, SF_VCENTER = 0x00000002, SF_WORDBREAK = 0x00000004 }
| 文字列フラグ列挙定数 More...

## Functions

_MIX_DLL_API Boolean | CompileShaderFromFile (const wchar_t *pFilePath, Mix::Graphics::SHADER_MACRO *pMacros, const char *pFuncName, Mix::Graphics::SHADER_TARGET target, Mix::Memory::IBuffer **ppBuffer)
| シェーダーをコンパイルします More...
_MIX_DLL_API Boolean | CompileShaderFromMemory (const wchar_t *pFilePath, const void *pSrc, UInt32 srcSize, Mix::Graphics::SHADER_MACRO *pMacros, const char *pFuncName, Mix::Graphics::SHADER_TARGET target, Mix::Memory::IBuffer **ppBuffer)
| シェーダーをコンパイルします More...
_MIX_DLL_API Mix::Point | MeasureString (Mix::Graphics::Utility::IFont *pFont, const wchar_t *pStr)
| 指定したフォントと文字列で描画した場合のサイズを計測します More...

## Detailed Description

グラフィックス ( ユーティリティ )

## Enumeration Type Documentation

enum Mix::Graphics::Utility::STRING_FLAGS

文字列フラグ列挙定数

Enumerator
SF_HCENTER | 水平方向でセンタリング
SF_VCENTER | 垂直方向でセンタリング
SF_WORDBREAK | 矩形からはみ出した場合は改行

## Function Documentation

_MIX_DLL_API Boolean Mix::Graphics::Utility::CompileShaderFromFile | ( | const wchar_t * | pFilePath,
|  | Mix::Graphics::SHADER_MACRO * | pMacros,
|  | const char * | pFuncName,
|  | Mix::Graphics::SHADER_TARGET | target,
|  | Mix::Memory::IBuffer ** | ppBuffer
| ) |  |

シェーダーをコンパイルします

Parameters

  [in] | pFilePath | ファイルパス
  [in] | pMacros | マクロ配列( NULL指定可能 )
  [in] | pFuncName | ファンクションの名前
  [in] | target | ターゲットを表す Mix::Graphics::SHADER_TARGET 列挙定数
  [out] | ppBuffer | コンパイルされたシェーダを格納する Mix::Memory::IBuffer インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  マクロを指定する場合は末尾に SHADER_MACRO( pName = NULL, pDef = NULL ) を追加しておいてください。

_MIX_DLL_API Boolean Mix::Graphics::Utility::CompileShaderFromMemory | ( | const wchar_t * | pFilePath,
|  | const void * | pSrc,
|  | UInt32 | srcSize,
|  | Mix::Graphics::SHADER_MACRO * | pMacros,
|  | const char * | pFuncName,
|  | Mix::Graphics::SHADER_TARGET | target,
|  | Mix::Memory::IBuffer ** | ppBuffer
| ) |  |

シェーダーをコンパイルします

Parameters

  [in] | pFilePath | ファイルパス
  [in] | pSrc | コンパイルするソースのポインタ( ANSI )
  [in] | srcSize | コンパイルするソースのサイズ
  [in] | pMacros | マクロ配列( NULL指定可能 )
  [in] | pFuncName | ファンクションの名前
  [in] | target | ターゲットを表す Mix::Graphics::SHADER_TARGET 列挙定数
  [out] | ppBuffer | コンパイルされたシェーダを格納する Mix::Memory::IBuffer インターフェースのポインタのアドレス

Returns
  成功した場合は True を返します

Note
  マクロを指定する場合は末尾に SHADER_MACRO( pName = NULL, pDef = NULL ) を追加しておいてください。

_MIX_DLL_API Mix::Point Mix::Graphics::Utility::MeasureString | ( | Mix::Graphics::Utility::IFont * | pFont,
|  | const wchar_t * | pStr
| ) |  |

指定したフォントと文字列で描画した場合のサイズを計測します

Parameters

  [in] | pFont | フォントを表す Mix::Graphics::Utility::IFont インターフェースのポインタ
  [in] | pStr | 文字列

Returns
  計測したサイズを表す Mix::Point クラスを返します